%define	version	0.12.10
%define	release	%mkrel 2

Name:		fbreader
Version:	%{version}
Release:	%{release}
Summary:	Reader for e-books in various formats
License:	GPLv2
Group:		Office
URL:		http://www.fbreader.org
Source:		http://www.fbreader.org/%{name}-sources-%{version}.tgz
Patch0:		fbreader-0.12.10-iconext.patch
Patch1:		fbreader-0.12.10-gcc45.patch
Patch2:		fbreader-0.12.10-xdgopen.patch
BuildRequires:	gtk+2-devel
BuildRequires:	jpeg-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libexpat-devel
BuildRequires:	zlib-devel
BuildRequires:	bzip2-devel
BuildRequires:	linebreak-devel
BuildRequires:	curl-devel
BuildRequires:	fribidi-devel
BuildRequires:	sqlite3-devel
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
FBReader is an e-book reader for various platforms.
Supported formats include: fb2, HTML, chm, plucker, palmdoc, zTxt,
TCR, RTF, OEB, OpenReader, mobipocket, plain text.

%prep
%setup -q
%apply_patches
perl -pi -e 's/moc-qt4/moc/' makefiles/arch/desktop.mk
echo "CFLAGS = %optflags" >> makefiles/arch/desktop.mk
echo "LDFLAGS = %ldflags" >> makefiles/arch/desktop.mk

%build
make TARGET_ARCH="desktop" \
    UI_TYPE="gtk" \
    DESTDIR=%{buildroot} \
    INSTALLDIR=%{_prefix} \
    LIBDIR=%{_libdir}

%install
rm -fr %buildroot
%make TARGET_ARCH="desktop" \
    UI_TYPE="gtk" \
    DESTDIR=%{buildroot} \
    INSTALLDIR=%{_prefix} \
    LIBDIR=%{_libdir} \
    install

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_bindir}/FBReader
%{_libdir}/libzlcore.so.*
%{_libdir}/libzltext.so.*
%{_libdir}/zlibrary/ui/zlui-gtk.so
%{_datadir}/FBReader/
%{_datadir}/pixmaps/
%{_datadir}/zlibrary/
%{_datadir}/applications/FBReader.desktop



%changelog
* Thu Sep 02 2010 Funda Wang <fwang@mandriva.org> 0.12.10-2mdv2011.0
+ Revision: 575402
- fix build with gcc 4.5
  use xdgopen rather than mozilla to open link
  build with our default flags

* Tue May 11 2010 Olivier Blin <oblin@mandriva.com> 0.12.10-2mdv2010.1
+ Revision: 544523
- remove incorrect icon extension in desktop file

* Fri Apr 02 2010 Funda Wang <fwang@mandriva.org> 0.12.10-1mdv2010.1
+ Revision: 530778
- update to new version 0.12.10

* Sat Mar 27 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.12.9-1mdv2010.1
+ Revision: 527910
- update to 12.9

* Mon Mar 08 2010 Sandro Cazzaniga <kharec@mandriva.org> 0.12.7-1mdv2010.1
+ Revision: 515776
- update to 0.12.7

* Wed Mar 03 2010 Frederik Himpe <fhimpe@mandriva.org> 0.12.6-1mdv2010.1
+ Revision: 513986
- update to new version 0.12.6

* Mon Feb 22 2010 Frederik Himpe <fhimpe@mandriva.org> 0.12.5-1mdv2010.1
+ Revision: 509622
- update to new version 0.12.5

* Fri Feb 12 2010 Funda Wang <fwang@mandriva.org> 0.12.2-1mdv2010.1
+ Revision: 504459
- update to new version 0.12.2

* Sat Jan 16 2010 Funda Wang <fwang@mandriva.org> 0.12.1-2mdv2010.1
+ Revision: 492235
- rebuild for new libjpegv8

* Mon Dec 14 2009 Funda Wang <fwang@mandriva.org> 0.12.1-1mdv2010.1
+ Revision: 478530
- new version 0.12.1

* Wed Dec 09 2009 Funda Wang <fwang@mandriva.org> 0.12.0-1mdv2010.1
+ Revision: 475294
- BR sqlite3
- new version 0.12.0

* Wed Oct 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 0.10.7-3mdv2010.0
+ Revision: 455801
- rebuild for new curl SSL backend

* Sun Aug 23 2009 Funda Wang <fwang@mandriva.org> 0.10.7-2mdv2010.0
+ Revision: 419746
- rebulid for new libjpeg v7

* Fri May 29 2009 Funda Wang <fwang@mandriva.org> 0.10.7-1mdv2010.0
+ Revision: 380843
- new version 0.10.7

* Sat Mar 21 2009 Frederik Himpe <fhimpe@mandriva.org> 0.10.5-1mdv2009.1
+ Revision: 360066
- update to new version 0.10.5

* Thu Feb 05 2009 Funda Wang <fwang@mandriva.org> 0.10.3-1mdv2009.1
+ Revision: 337713
- New version 0.10.3

* Sat Jan 24 2009 Funda Wang <fwang@mandriva.org> 0.10.2-1mdv2009.1
+ Revision: 333331
- update to new version 0.10.2

* Sun Jan 18 2009 Funda Wang <fwang@mandriva.org> 0.10.1-1mdv2009.1
+ Revision: 330824
- add BR
- New version 0.10.1

* Sat Jul 26 2008 Funda Wang <fwang@mandriva.org> 0.8.17-2mdv2009.0
+ Revision: 250115
- rebuild

* Mon Jul 21 2008 Funda Wang <fwang@mandriva.org> 0.8.17-1mdv2009.0
+ Revision: 239275
- BR jpeg

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - import fbreader


* Mon Jul 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.17-1mdv2009.0
- first mdv release, using package from Antony Dovgal <tony@daylessday.org> 
